import { useRequest } from "@/use/useHttp"

/**
 * 下单现货销售单
 */
export const SaleOrderApi = () => {
    return useRequest({
        url: `/v1/mall/saleOrder`,
        method: "post",
    })
}

/**
 * 预览销售单
 */
 export const SaleOrderPreViewApi = () => {
    return useRequest({
        url: `/v1/mall/saleOrder/preView`,
        method: "put",
    })
}

/**
 * 获取商城待配布订单详情
 */
 export const GetSaleOrderDetailApi = () => {
    return useRequest({
        url: `/v1/mall/saleOrder/arranging`,
        method: "get",
    })
}


/**
 * 修改销售单备注
 */
 export const EditSaleOrderRemarkApi = () => {
    return useRequest({
        url: `/v1/mall/saleOrder/remark`,
        method: "put",
    })
}

/**
 * 修改销售单地址
 */
 export const EditSaleOrderAddressApi = () => {
    return useRequest({
        url: `/v1/mall/saleOrder/address`,
        method: "put",
    })
}

/**
 * 修改销售单收货方法
 */
 export const EditSaleOrderShipmentModeApi = () => {
    return useRequest({
        url: `/v1/mall/saleOrder/shipmentMode`,
        method: "put",
    })
}